Supercheck LogoSupercheck
Status Pages

Delete a status page component

Delete a component. Requires status_page:delete.

DELETE
/api/status-pages/{id}/components/{componentId}

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Path Parameters

id*string

Status page ID

Formatuuid
componentId*string

Component ID

Formatuuid

Response Body

Component deleted

application/json
  1. response
success?boolean
Example Request
curl -X DELETE 'https://demo.supercheck.dev/api/status-pages/497f6eca-6276-4993-bfeb-53cbbbba6f08/components/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "success": true}